## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

DELETE

/v2.0/locales/{localeId}/yesnointents/{intentId}/sentences/{sentenceId}

### Delete a Sentence

#### cURL

```bash
curl --request DELETE \
  --url https://api-trial.cognigy.ai/new/v2.0/locales/{localeId}/yesnointents/{intentId}/sentences/{sentenceId} \
  --header 'X-API-Key: <api-key>'
```

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/locales/{localeId}/yesnointents/{intentId}/sentences/{sentenceId}"

headers = {"X-API-Key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
```

```javascript
const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/locales/{localeId}/yesnointents/{intentId}/sentences/{sentenceId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/locales/{localeId}/yesnointents/{intentId}/sentences/{sentenceId}",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "DELETE",\
  CURLOPT_HTTPHEADER => [\
    "X-API-Key: <api-key>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/locales/{localeId}/yesnointents/{intentId}/sentences/{sentenceId}"

req, _ := http.NewRequest("DELETE", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

```java
HttpResponse<String> response = Unirest.delete("https://api-trial.cognigy.ai/new/v2.0/locales/{localeId}/yesnointents/{intentId}/sentences/{sentenceId}")
  .header("X-API-Key", "<api-key>")
  .asString();
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-trial.cognigy.ai/new/v2.0/locales/{localeId}/yesnointents/{intentId}/sentences/{sentenceId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["X-API-Key"] = '<api-key>'

response = http.request(request)
puts response.read_body
```

### Response Codes

- **204**: Successfully deleted sentence

- **400**: Bad Request
  ```json
  {
    "type": "Bad Request",
    "title": "Bad Request Error",
    "status": 400,
    "detail": "Validation failed. Missing payload.",
    "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
    "code": 1000,
    "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
    "details": {}
  }
  ```

- **401**: Unauthorized
  ```json
  {
    "type": "Unauthorized",
    "title": "Unauthorized Error",
    "status": 401,
    "detail": "<string>",
    "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
    "code": 401,
    "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
    "details": {}
  }
  ```

- **402**: Payment Required
  ```json
  {
    "type": "Payment Required",
    "title": "Payment Required Error",
    "status": 402,
    "detail": "Validation failed. Missing payload.",
    "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
    "code": 402,
    "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
    "details": {}
  }
  ```

- **403**: Forbidden
  ```json
  {
    "type": "Forbidden",
    "title": "Forbidden Error",
    "status": 403,
    "detail": "<string>",
    "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
    "code": 1000,
    "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
    "details": {}
  }
  ```

- **404**: Not Found
  ```json
  {
    "type": "Not Found",
    "title": "Not Found Error",
    "status": 404,
    "detail": "<string>",
    "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
    "code": 1000,
    "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
    "details": {},
    "logLevel": "error"
  }
  ```

... (Additional response codes can be added here)

### Authorizations

- **Header**: `X-API-Key` string, required. Supply the API Key in the HTTP-Header.

### Headers

The `Accept` header specifies the media type that the client expects in the response. Available options:

- `application/json`
- `application/hal+json`
- `application/xml`
- `text/xml`
- `text/csv`

---

### Path Parameters

- **localeId**: string, required. The unique identifier for the Locale.
  - Required string length: `24`
  - Pattern: `^[a-z0-9]{24}$`

- **intentId**: string, required. The unique identifier for the Intent.
  - Required string length: `24`
  - Pattern: `^[a-z0-9]{24}$`

- **sentenceId**: string, required. The unique identifier for the Example Sentence.
  - Required string length: `24`
  - Pattern: `^[a-z0-9]{24}$`.
